VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::Disk::VmdkCreateSpec Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::Disk::VmdkCreateSpec:

## Avaliable Methods
public method | set_capacity ()
public method | get_capacity ()
public method | set_name ()
public method | new ()
public method | get_name ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::Disk::VmdkCreateSpec` class provides a specification for creating a new VMDK file to be used as a backing for a virtual disk. The virtual disk will be stored in the same directory as the virtual machine's configuration file.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::VmdkCreateSpec::get_capacity | ( |  | ) |

Gets the value of 'capacity' property.

Return values

  capacity | - The current value of the field. Capacity of the virtual disk backing in bytes. Optional#

Code:
click to view
# Number of lines of code in get_capacity: 4
sub get_capacity {
my ($self, %args) = @_;
return $self->{'capacity'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::VmdkCreateSpec::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. Base name of the VMDK file. The name should not include the '.vmdk' file extension. Optional#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::VmdkCreateSpec::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::Disk::VmdkCreateSpec structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{capacity} = $args{'capacity'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::Disk::VmdkCreateSpec');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.disk.vmdk_create_spec');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'capacity', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::VmdkCreateSpec::set_capacity | ( |  | ) |

Sets the given value for 'capacity' property.

Parameters

  capacity | - New value for the field. Capacity of the virtual disk backing in bytes.

Code:
click to view
# Number of lines of code in set_capacity: 5
sub set_capacity {
my ($self, %args) = @_;
$self->{'capacity'} = $args{'capacity'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::VmdkCreateSpec::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. Base name of the VMDK file. The name should not include the '.vmdk' file extension.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware/Disk.pm